package com.bonus.canteen.core.order.deprecated.param;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

public class OrdParam {
   private Long ordId;
   private List<Long> orgIdList;
   private Long custId;
   private String custNum;
   private String custName;
   private String mobile;
   private List<Integer> psnTypeList;
   private Long canteenId;
   private Long shopstallId;
   private List<Integer> sourceTypeList;
   private List<Integer> ordStateList;
   private List<Integer> payTypeList;
   private List<Integer> payStateList;
   private List<Integer> deliveryTypeList;
   private LocalDate ordDateMin;
   private LocalDate ordDateMax;
   private LocalDateTime ordTimeMin;
   private LocalDateTime ordTimeMax;
   private List<Long> intervalIdList;
   private String mchNum;
   private String mchName;
   private List<Integer> nuClearModeList;
   private Integer ifOnline;
   private List<Integer> consumModeList;
   private List<Integer> ordTypeList;
   private String machineSn;
   private Integer ifReverse;
   private Long relateOrdId;
   private String serialNum;
   private LocalDateTime payTimeMin;
   private LocalDateTime payTimeMax;
   private String macOrdId;
   private List<Integer> ifWriteOffList;
   private Integer realAmountMin;
   private Integer realAmountMax;
   private List<Integer> checkStateList;
   private String keywords;

   public Long getOrdId() {
      return this.ordId;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public List<Integer> getPsnTypeList() {
      return this.psnTypeList;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public List<Integer> getSourceTypeList() {
      return this.sourceTypeList;
   }

   public List<Integer> getOrdStateList() {
      return this.ordStateList;
   }

   public List<Integer> getPayTypeList() {
      return this.payTypeList;
   }

   public List<Integer> getPayStateList() {
      return this.payStateList;
   }

   public List<Integer> getDeliveryTypeList() {
      return this.deliveryTypeList;
   }

   public LocalDate getOrdDateMin() {
      return this.ordDateMin;
   }

   public LocalDate getOrdDateMax() {
      return this.ordDateMax;
   }

   public LocalDateTime getOrdTimeMin() {
      return this.ordTimeMin;
   }

   public LocalDateTime getOrdTimeMax() {
      return this.ordTimeMax;
   }

   public List<Long> getIntervalIdList() {
      return this.intervalIdList;
   }

   public String getMchNum() {
      return this.mchNum;
   }

   public String getMchName() {
      return this.mchName;
   }

   public List<Integer> getNuClearModeList() {
      return this.nuClearModeList;
   }

   public Integer getIfOnline() {
      return this.ifOnline;
   }

   public List<Integer> getConsumModeList() {
      return this.consumModeList;
   }

   public List<Integer> getOrdTypeList() {
      return this.ordTypeList;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public Integer getIfReverse() {
      return this.ifReverse;
   }

   public Long getRelateOrdId() {
      return this.relateOrdId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public LocalDateTime getPayTimeMin() {
      return this.payTimeMin;
   }

   public LocalDateTime getPayTimeMax() {
      return this.payTimeMax;
   }

   public String getMacOrdId() {
      return this.macOrdId;
   }

   public List<Integer> getIfWriteOffList() {
      return this.ifWriteOffList;
   }

   public Integer getRealAmountMin() {
      return this.realAmountMin;
   }

   public Integer getRealAmountMax() {
      return this.realAmountMax;
   }

   public List<Integer> getCheckStateList() {
      return this.checkStateList;
   }

   public String getKeywords() {
      return this.keywords;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setPsnTypeList(final List<Integer> psnTypeList) {
      this.psnTypeList = psnTypeList;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setSourceTypeList(final List<Integer> sourceTypeList) {
      this.sourceTypeList = sourceTypeList;
   }

   public void setOrdStateList(final List<Integer> ordStateList) {
      this.ordStateList = ordStateList;
   }

   public void setPayTypeList(final List<Integer> payTypeList) {
      this.payTypeList = payTypeList;
   }

   public void setPayStateList(final List<Integer> payStateList) {
      this.payStateList = payStateList;
   }

   public void setDeliveryTypeList(final List<Integer> deliveryTypeList) {
      this.deliveryTypeList = deliveryTypeList;
   }

   public void setOrdDateMin(final LocalDate ordDateMin) {
      this.ordDateMin = ordDateMin;
   }

   public void setOrdDateMax(final LocalDate ordDateMax) {
      this.ordDateMax = ordDateMax;
   }

   public void setOrdTimeMin(final LocalDateTime ordTimeMin) {
      this.ordTimeMin = ordTimeMin;
   }

   public void setOrdTimeMax(final LocalDateTime ordTimeMax) {
      this.ordTimeMax = ordTimeMax;
   }

   public void setIntervalIdList(final List<Long> intervalIdList) {
      this.intervalIdList = intervalIdList;
   }

   public void setMchNum(final String mchNum) {
      this.mchNum = mchNum;
   }

   public void setMchName(final String mchName) {
      this.mchName = mchName;
   }

   public void setNuClearModeList(final List<Integer> nuClearModeList) {
      this.nuClearModeList = nuClearModeList;
   }

   public void setIfOnline(final Integer ifOnline) {
      this.ifOnline = ifOnline;
   }

   public void setConsumModeList(final List<Integer> consumModeList) {
      this.consumModeList = consumModeList;
   }

   public void setOrdTypeList(final List<Integer> ordTypeList) {
      this.ordTypeList = ordTypeList;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setIfReverse(final Integer ifReverse) {
      this.ifReverse = ifReverse;
   }

   public void setRelateOrdId(final Long relateOrdId) {
      this.relateOrdId = relateOrdId;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setPayTimeMin(final LocalDateTime payTimeMin) {
      this.payTimeMin = payTimeMin;
   }

   public void setPayTimeMax(final LocalDateTime payTimeMax) {
      this.payTimeMax = payTimeMax;
   }

   public void setMacOrdId(final String macOrdId) {
      this.macOrdId = macOrdId;
   }

   public void setIfWriteOffList(final List<Integer> ifWriteOffList) {
      this.ifWriteOffList = ifWriteOffList;
   }

   public void setRealAmountMin(final Integer realAmountMin) {
      this.realAmountMin = realAmountMin;
   }

   public void setRealAmountMax(final Integer realAmountMax) {
      this.realAmountMax = realAmountMax;
   }

   public void setCheckStateList(final List<Integer> checkStateList) {
      this.checkStateList = checkStateList;
   }

   public void setKeywords(final String keywords) {
      this.keywords = keywords;
   }

}
